Get Customer Details
curl --request GET \
--url https://sandbox.api.fin.com/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/customers/{customer_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/customers/{customer_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/customers/{customer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"customer_id": "56c41b8e-e650-4f55-94f6-26a888a9b64d",
"type": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@fin.com",
"phone": "+14724480512",
"country_of_residence": "USA",
"verification_type": "STANDARD",
"customer_status": "ON_HOLD",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=56c41b8e-e650-4f55-94f6-26a888a9b64d&tos_policies_value=e9414388-fbdf-4407-b5c2-bc39eae3645b",
"created_at": "2026-04-15T11:49:27Z",
"updated_at": "2026-04-15T11:52:48Z",
"last_status_updated_at": "2026-04-15T11:52:48Z",
"capabilities": {
"on_ramp": [
{
"currency": "USD",
"status": false,
"methods": [
"ACH",
"FEDWIRE"
],
"reason": {
"for_customer": null,
"for_developer": null
}
}
],
"off_ramp": [
{
"currency": "USD",
"status": false,
"methods": [
"ACH",
"FEDWIRE",
"ACH_SAME_DAY"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "EUR",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "BDT",
"status": false,
"methods": [
"BANK",
"E_WALLET"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "AUD",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "INR",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "JPY",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "NPR",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "CAD",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "PKR",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "PHP",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "SGD",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "GBP",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
}
]
},
"rejection_reason": null,
"request_for_information": []
}
}Customer details
Get Customer Details
Retrieve detailed information for a specific customer
GET
/
v1
/
customers
/
{customer_id}
Get Customer Details
curl --request GET \
--url https://sandbox.api.fin.com/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/customers/{customer_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/customers/{customer_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/customers/{customer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"customer_id": "56c41b8e-e650-4f55-94f6-26a888a9b64d",
"type": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@fin.com",
"phone": "+14724480512",
"country_of_residence": "USA",
"verification_type": "STANDARD",
"customer_status": "ON_HOLD",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=56c41b8e-e650-4f55-94f6-26a888a9b64d&tos_policies_value=e9414388-fbdf-4407-b5c2-bc39eae3645b",
"created_at": "2026-04-15T11:49:27Z",
"updated_at": "2026-04-15T11:52:48Z",
"last_status_updated_at": "2026-04-15T11:52:48Z",
"capabilities": {
"on_ramp": [
{
"currency": "USD",
"status": false,
"methods": [
"ACH",
"FEDWIRE"
],
"reason": {
"for_customer": null,
"for_developer": null
}
}
],
"off_ramp": [
{
"currency": "USD",
"status": false,
"methods": [
"ACH",
"FEDWIRE",
"ACH_SAME_DAY"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "EUR",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "BDT",
"status": false,
"methods": [
"BANK",
"E_WALLET"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "AUD",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "INR",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "JPY",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "NPR",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "CAD",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "PKR",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "PHP",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "SGD",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
},
{
"currency": "GBP",
"status": false,
"methods": [
"BANK"
],
"reason": {
"for_customer": null,
"for_developer": "Customer is under review"
}
}
]
},
"rejection_reason": null,
"request_for_information": []
}
}Use this endpoint to fetch individual customer details. For business customer details, use Get Customer Details V2.
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Response
Customer details retrieved successfully
- Individual
- Business
Show child attributes
Show child attributes
⌘I
